Page MenuHomePhabricator

[WMDE internal] UX: Wireframe for WLM direct image upload via monuments lists in Wikipedia
Closed, ResolvedPublic

Description

This task is about creating first visual ideas for the direct upload of images during WLM 2015 via monuments lists (see T103701 for the user stories): a basic one and an elaborated one. These will help to investigate the technical feasibility of the solutions. This is a rough description of how it could look like:

Starting from a monuments list in Wikipedia, for example:

https://de.wikipedia.org/wiki/Liste_der_Kulturdenkmale_in_Berlin-Wilhelmsruh (in this list a camera icon indicates that an image is missing)
https://de.wikipedia.org/wiki/Liste_der_Kulturdenkmale_in_Berlin-Rosenthal (in this list blank space indicates that an image is missing, without camera icon)

besides the exisiting camera icon and link to further information about uploading pictures the user would find a direct link to the upload wizard of WLM. In case of blank space both links and the camera icon would be inserted. After clicking on the upload-link the Upload Wizard would open

a) basic version: in a new window
b) elaborated version: as a dialogbox hovering over the monuments list

The respective category (to be found under "Weblinks") and the monument number would be inserted automatically into the Upload Wizard so that the user doesn't need to do it. At the end of the process after the successful upload

a) basic version: a link to the monuments list would be displayed (e.g. hovering over the page) saying that the missing image was filled in the gap in the list. When the user would go back to the page with the monuments list after reloading the page, the image would appear.
b) elaborated version: the dialog box would say that the upload was succesful and the page with the monument list (still visible behind the dialog box) would reload displaying the missing image filled in the gap

Event Timeline

KasiaWMDE assigned this task to Snaterlicious.
KasiaWMDE raised the priority of this task from to Medium.
KasiaWMDE updated the task description. (Show Details)
KasiaWMDE added a project: TCB-Team.
KasiaWMDE added a subscriber: KasiaWMDE.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2015, 8:59 AM

This should demonstrate the dialogue box concept:

KasiaWMDE updated the task description. (Show Details)Jul 6 2015, 9:42 AM
KasiaWMDE set Security to None.
Snaterlicious added a comment.EditedJul 7 2015, 6:51 AM

Basic version.

Dialogue supported version.

KasiaWMDE added a comment.EditedJul 8 2015, 4:19 PM

@Snaterlicious Please add the following details to the "basic" wireframe:

After clicking on the upload-link in the monuments list the upload wizard opens in the same window (not in a new window)
After clicking on the button "Zurück zur Denkmalliste" (en: back to the monuments list) the monuments list would open also in the same window.

Add the following button to the last upload wizard page: "Weitere Dateien von dem Denkmal hochladen" (en: "Uplod more images of this monument"). This one should be placed just next to the existing one "Weitere Dataien hochladen" (en: "Upload more images").

Replace the button's name and link from "Zur Hauptseite des Wikis" (en: to the main page of the wiki) which led to the mainpage of Wikimedia Commons with "Zur Hauptseite von Wikipedia" (en: to the main page of Wikipedia) which would lead to the mainpage of Wikipedia.

We decided to go ahead with the basic version for now as the elaborated would requiere to much effort in relation to the provided enhancement. The basic version needs to be done anyway. If we still have enough ressources and time, we will reconsider making the elaborated version afterwards.

@kai.nissen The community feedback revealed that we need only 2 buttons (instead of the planned 4):
"Zurück zur Denkmalliste" and "Weitere Bilder zu diesem Objekt hochladen".

In case we implement also T106538 the name (only the text, the link remains the same) of the button "Zurück zur Denkmaliste" should be changed to "Zurück zur Denkmalliste, um weitere Bilder hochzuladen".

@Snaterlicious as the bot can take some time to update the monument list, we need to add a hint in the last screen of the UploadWizard saying "Das Einfügen von dem Bild in die Denkmalliste kann bis zu 5 Minuten dauern" (ping for @kai.nissen cause of the implementation) . Furthermore please add a read-ony category "Uploaded with UploadWizard via delists" to the wireframe on the UW picture description screen as we will need to add that category in order to know how many pictures were uploaded via lists. Thanks!

@Snaterlicious one more change for the wireframe: the link "Weitere Informationen" (first step of the workflow) should lead to the following page: https://de.wikipedia.org/wiki/Wikipedia:Wiki_Loves_Monuments_2015/Deutschland/Ermunterungen_und_Tipps (this is a page recently created by the WLM community and it's more precise as it specifically gives hints for picture of monuments) and not anymore to https://de.wikipedia.org/wiki/Wikipedia:Bilderwünsche/Anleitung
Thank you!

@Snaterlicious I also noticed the link under pictures in the gap still says "Weitere Bilder zu dem Objekt hochladen", we agreed to change it to a shorter version "Weitere Bilder hochladen". Thank you!

Is any additional change required or can the ticket be set to "resolved"?

It's resolved, thanks. I will change the status now.

KasiaWMDE closed this task as Resolved.Aug 21 2015, 12:20 PM